
{% extends 'userBase.html.twig' %}

{% block title %}Mes Jeux
{% endblock %}

{% block body %}
	<h1>Mes Jeux</h1>
	{#% do app.request.query.set('script2', true) %#}


	<form action="/userGame" method="get">
		{% for mesPlats in plat %}
			<label>
				<input type="radio" name="platforme" value={{mesPlats.namePlat}}>
				{{mesPlats.namePlat}}
			</label>

		{% endfor %}

		{% for mesTypes in types %}

			<label>
				<input type="radio" name="type" value={{mesTypes.titleType}}>
				{{mesTypes.titleType}}
			</label>

		{% endfor %}

		<input type="submit" value="valider">
	</form>
	{% set params = app.request.query.all %}
	{% if app.request.get('ordone') != null %}

		{% if app.request.get('ordone') == "DESC" %}
			{% set params = params|merge({'ordone': 'ASC'}) %}
		{% endif %}

		{% if app.request.get('ordone') == "ASC" %}
			{% set params = params|merge({'ordone': 'DESC'}) %}
		{% endif %}

	{% else %}
		{% set params = params|merge({'ordone': 'DESC'}) %}
	{% endif %}


	<a href={{ path('user_has_game_index', params)}}>
		Ranger par ordre alphabétique</a>

<div class="row">
	{% for user_has_game in user_has_games %}

		
			<div class="col-lg-4 col-md-6 mb-4">
				<div class="card h-100">
					<a href="#!"><img class="card-img-top" src="../uploads/image/{{user_has_game.game.imageGame }}" alt="..."/></a>
					<div class="card-body">
						<h4 class="card-title">{{ user_has_game.game.titleGame }}</h4>
						<p class="card-text">
							description :{{ user_has_game.game.descriptionGame }}
						</p>
						<p class="card-text">
							nombre de vente
							{{ user_has_game.game.nbSellGame }}</p>
						<p class="card-text">
							genre du jeux
							{% for type in user_has_game.game.types %}
								{{ type.titleType}}
							{% endfor %}
						</p>
						<p class="card-text"> {{ user_has_game.game.releasedAt ? user_has_game.game.releasedAt|date('Y-m-d') : '' }} </p>
						<p class="card-text">
							{% for platform in user_has_game.Platform %}
								{{platform.namePlat}}
							{% endfor %}
						</p>
					</div>
					<div class="card-footer">
						<small class="text-muted">
							<a href="{{ path('user_has_game_show', {'id': user_has_game.id}) }}">show</a>
							<a href="{{ path('user_has_game_edit', {'id': user_has_game.id}) }}">edit</a>
						</small>
					</div>
				</div>
</div>
			{% endfor %}

		</div>

		<a href="{{ path('user_has_game_new') }}">Create new</a>
	{% endblock %}
